package com.bocloud.cmp.model.hmc.pcm;

public class Processor {
    private Double totalProcUnits;
    private Double configurableProcUnits;
    private Double availableProcUnits;
    private Double procCyclesPerSecond;

    public Double getTotalProcUnits() {
        return totalProcUnits;
    }

    public void setTotalProcUnits(Double totalProcUnits) {
        this.totalProcUnits = totalProcUnits;
    }

    public Double getConfigurableProcUnits() {
        return configurableProcUnits;
    }

    public void setConfigurableProcUnits(Double configurableProcUnits) {
        this.configurableProcUnits = configurableProcUnits;
    }

    public Double getAvailableProcUnits() {
        return availableProcUnits;
    }

    public void setAvailableProcUnits(Double availableProcUnits) {
        this.availableProcUnits = availableProcUnits;
    }

    public Double getProcCyclesPerSecond() {
        return procCyclesPerSecond;
    }

    public void setProcCyclesPerSecond(Double procCyclesPerSecond) {
        this.procCyclesPerSecond = procCyclesPerSecond;
    }
}
